Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032458
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementminoralways2016-03-11 09:492016-03-23 01:59
ReportermaiteView Statuspublic 
Assigned Tomarkmm82 
PriorityurgentResolutionfixedFixed in Version3.0PR16Q2
StatusclosedFix in branchFixed in SCM revision715af3267f4b
ProjectionnoneETAnoneTarget Version3.0PR16Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0032458: It is necessary to add log information in process executed when Validating Costing Rule

DescriptionAt the moment, there is not enough log information when this process is executed so in case it takes long time you are not able to get any information about its execution
Steps To ReproduceCreate new Costing Rule and run "Validate Costing Rule" process
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00334113.0PR17Q1 closeddmiguelez Bad performance Costing Background process using 3 types of adjustments 
related to design defect 0035384 closedmarkmm82 Add logs on debug on the costing process and costing migration process to track the time invested on each part 

-  Notes
(0085014)
markmm82 (developer)
2016-03-16 17:02

Test plan

Create new Costing Rule and run "Validate Costing Rule" process.
Review the log file and you wil be able to see all steps execute inside the process.
(0085234)
hgbot (developer)
2016-03-21 10:12

Repository: erp/devel/pi
Changeset: 715af3267f4bf15a9b9dc99ac6208297ad12e309
Author: Mark <m.molina <at> nectus.com>
Date: Tue Mar 15 11:29:37 2016 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/715af3267f4bf15a9b9dc99ac6208297ad12e309 [^]

Fixes issue 32458: Added log information in process executed when Validating Costing Rule.

Several log information was added to be able to follow information when the "Validate Costing Rule" process is executed.

---
M src/org/openbravo/costing/CostingRuleProcess.java
---
(0085235)
hgbot (developer)
2016-03-21 10:12

Repository: erp/devel/pi
Changeset: 0435c3f2223129e4672f859fe57c742039d445ad
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Mar 21 10:09:07 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/0435c3f2223129e4672f859fe57c742039d445ad [^]

Related to issue 32458: Code review improvements

Add log only in Costing Rule process three main steps.

---
M src/org/openbravo/costing/CostingRuleProcess.java
---
(0085236)
aferraz (developer)
2016-03-21 10:12

Code review + Testing OK
(0085273)
hudsonbot (developer)
2016-03-23 01:59

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f4f7526c0d97 [^]
Maturity status: Test
(0085274)
hudsonbot (developer)
2016-03-23 01:59

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f4f7526c0d97 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-03-11 09:49 maite New Issue
2016-03-11 09:49 maite Assigned To => Triage Finance
2016-03-11 09:49 maite Modules => Core
2016-03-11 09:49 maite Triggers an Emergency Pack => No
2016-03-11 09:49 maite Issue Monitored: networkb
2016-03-14 10:53 aferraz Severity major => minor
2016-03-14 10:53 aferraz Type defect => feature request
2016-03-14 17:31 aferraz Type feature request => defect
2016-03-15 16:03 markmm82 Assigned To Triage Finance => markmm82
2016-03-15 16:04 markmm82 Status new => scheduled
2016-03-16 17:02 markmm82 Note Added: 0085014
2016-03-21 10:12 hgbot Checkin
2016-03-21 10:12 hgbot Note Added: 0085234
2016-03-21 10:12 hgbot Status scheduled => resolved
2016-03-21 10:12 hgbot Resolution open => fixed
2016-03-21 10:12 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/715af3267f4bf15a9b9dc99ac6208297ad12e309 [^]
2016-03-21 10:12 hgbot Checkin
2016-03-21 10:12 hgbot Note Added: 0085235
2016-03-21 10:12 aferraz Review Assigned To => aferraz
2016-03-21 10:12 aferraz Note Added: 0085236
2016-03-21 10:12 aferraz Status resolved => closed
2016-03-21 10:12 aferraz Fixed in Version => 3.0PR16Q2
2016-03-23 01:59 hudsonbot Checkin
2016-03-23 01:59 hudsonbot Note Added: 0085273
2016-03-23 01:59 hudsonbot Checkin
2016-03-23 01:59 hudsonbot Note Added: 0085274
2016-09-16 13:42 aferraz Relationship added related to 0033411
2017-05-08 10:03 aferraz Relationship added related to 0035384


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker